Checking System Requirements

Issue/Question

Respondus LockDown Browser will not run because my computer is not up to date. What are the system requirements?

Environment

  • Respondus LockDown Browser

Resolution

Please visit the Respondus LockDown Browser System Requirements page for an updated list of requirements. 

Details

Article ID: 2728
Created
Fri 5/19/17 6:08 PM
Modified
Wed 1/29/20 3:30 PM